Mailinglist Archive: opensuse-buildservice (144 mails)

< Previous Next >
Re: [opensuse-buildservice] Cannot build RHEL packages anymore (package "epel-rpm-macros" suddenly not resolvable)...
  • From: Adrian Schröter <adrian@xxxxxxx>
  • Date: Thu, 26 Sep 2019 11:10:06 +0200
  • Message-id: <2090413.IaZeTS3TBQ@linux-ywca>
On Donnerstag, 26. September 2019, 11:05:01 CEST Olsson, Dennis wrote:
Hi There,

I have been working on a package for RHEL 7 the last couple of days without
any issues. My last successful build was on 24-Sep-2019 18:56.
Yesterday, I made some reorganization of my local file system, which meant I
had to recheck out my project as well as the package, I was working on,
from OBS (using "osc checkout"). Having done that, I was able to make a few
local builds without any issues, but when I wanted to make my final build
of my package, I suddenly received this error message:

$ osc build --local-package
Building xscreensaver.spec for Fedora_EPEL_7_RHEL/x86_64
Getting buildinfo from server and store to
/data/home/olsde000/devel/ATS/lp3/misc/sources/home:DOlsson/xscreensaver/.o
sc/_buildinfo-Fedora_EPEL_7_RHEL-x86_64.xml Getting buildconfig from server
and store to
/data/home/olsde000/devel/ATS/lp3/misc/sources/home:DOlsson/xscreensaver/.o
sc/_buildconfig-Fedora_EPEL_7_RHEL-x86_64 buildinfo is broken... it says:
unresolvable: nothing provides epel-rpm-macros

sorry, my bad. I added yesterday a dependency to that rpm on request without
checking.

should work again now.


$

I simply do not understand, why I am getting this.
When following the repository chain in OBS, I end up with

Fedora:EPEL:7/RHEL x86_64 => Fedora:EPEL:7/standard x86_64 => x86_64
https://download.fedoraproject.org/pub/epel/7/x86_64 (rpmmd)

where the package "epel-rpm-macros" definitively can be found:

https://download.fedoraproject.org/pub/epel/7/x86_64/Packages/e/epel-rpm-mac
ros-7-21.noarch.rpm

So why, all of a sudden, is not OBS capable of resolving this package.
As written above, everything had working very nicely up till around 16:00 -
18:00 yesterday 25-Sep-2019, where this error message out of no where
turned up.

And, no, it does help to try to build the package on OBS either, the same
error turns up here.

Has any one gotten an idea as to what is going on here and how to solve this
problem?

Best regards & thanks for your help,
Dennis Olsson--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx


--

Adrian Schroeter <adrian@xxxxxxx>
Build Infrastructure Project Manager

SUSE Software Solutions Germany GmbH, Maxfeldstr. 5, 90409 Nuernberg, Germany
(HRB 247165, AG München), Geschäftsführer: Felix Imendörffer




--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References